corda / net.corda.node.services.schema / HibernateObserver

# HibernateObserver

`class HibernateObserver`

A vault observer that extracts Object Relational Mappings for contract states that support it, and persists them with Hibernate.

### Types

NodeDatabaseConnectionProvider | `class NodeDatabaseConnectionProvider : ConnectionProvider`

### Constructors

<init> | `HibernateObserver(services: ServiceHubInternal)` A vault observer that extracts Object Relational Mappings for contract states that support it, and persists them with Hibernate.

### Properties

schemaService | `val schemaService: SchemaService`
sessionFactories | `val sessionFactories: ConcurrentHashMap<MappedSchema, SessionFactory>`

### Companion Object Properties

logger | `val logger: Logger`